"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiceBear = void 0;
const hash = require("hash.js");
class DiceBear {
    static randomSeed() {
        return hash.sha256().update(Math.random().toString(36)).digest('hex');
    }
    static getAvatarUrl(avatarStyleName, seed) {
        if (!seed) {
            seed = this.randomSeed();
        }
        return `https://avatars.dicebear.com/api/${avatarStyleName}/${seed}.svg?backgroundColor=%23333333&textureChance=0&margin=10`;
    }
}
exports.DiceBear = DiceBear;
