export interface IUser {
    id: string;
    peerId: number;
    name: string;
    avatar?: string;
    status: 'online' | 'away' | 'dnd';
    outputMuted: number;
    inputMuted: number;
    renderer?: string;
    platform?: string;
    revision?: string;
    version?: string;
    buildno?: number;
}
export interface IChatMessage {
    fromId: string;
    fromAvatar: string;
    fromName: string;
    targetId?: number;
    targetName?: string;
    kind: 'poke' | 'message';
    text: string;
    urls: string[];
    time: Date;
    isPrivate?: boolean;
}
